indexing
   title:       "IO_USER"
   cluster:     "timedate/sig [timedate/sig]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Frieder Monninger";
   original:    22,Sep,95
   version:     1.0
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "io_user.e";

class IO_USER

feature

    mio: STD_FILES is
        once
            !!Result
        end

    x: TESTUTIL is

       once
          !!Result
       end;

    prnt (some: ANY) is
        do
            mio.put_string (strg (some))
        end
    nl (some: ANY) is
        do
            mio.put_new_line
        end

    strg (t: ANY): STRING is
        do
            Result := rt_fm_hndl.pout (t)
        end

    frozen tagged_out: STRING is
        do
            Result := rt_fm_hndl.tout (current)
        end

    put_nl (s: STRING) is

       do
          mio.put_string (s);
          mio.put_new_line
       end;

    prnt_lst (l: ARRAY [ANY]) is
        local
           i: INTEGER
        do
           from i := l.lower
           until i > l.upper
           loop
              prnt (l.item (i));
              prnt (" ");
              i := i + 1
           end;
        end;

    rt_fm_hndl: RT_FM_95 is
        once
            !!Result
        end


end -- IO_USER
